Lỗi nâng cấp xenforo 2.2.14 | 2.2.15

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
Mình đang cập nhật xenforo lên phiên bản 2.2.14, trong quá trình cập nhật mình đã gặp lỗi "There are at least 289 file(s) that do not appear to have the expected contents. Reupload the XenForo files and refresh this page. Only continue if you are sure all files have been uploaded properly" sau khi cập nhật, sau khi truy cập diễn đàn gần như 1/3 tính năng đã lỗi và nhiều thông báo báo lỗi như "There are scheduled jobs outstanding which have not run. Jobs may not be getting triggered when expected" , "There are templates that may be outdated. Click here to review them." và nhiều dòng lỗi ở "Server errors have been logged. You should review these." , mong mọi người giúp mình sửa lỗi và mình sẽ gửi tiền phí là 1.99 USD qua paypal ạ


domain : mcvncommunity.pro.vn
 
  • Like
Reactions: YYT

PVS

Super Moderator
Thành viên BQT
Tham gia
28/02/2015
Bài viết
16,830
Được Like
12,705
Bạn thử up lại file xem sao nha. Theo như nó báo thì không tìm thấy file đã up lên.
 

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
Bạn thử up lại file xem sao nha. Theo như nó báo thì không tìm thấy file đã up lên.
Dạ, mình đã thử up lại file xenforo upgrage và mình cũng thử up file full nhưng vẫn bị lỗi ạ
 

PVS

Super Moderator
Thành viên BQT
Tham gia
28/02/2015
Bài viết
16,830
Được Like
12,705
Bạn up lên xong đã rebuild lại chưa nhỉ
 

PVS

Super Moderator
Thành viên BQT
Tham gia
28/02/2015
Bài viết
16,830
Được Like
12,705
Có thể bản đó lỗi nên NPH đã ra mắt bản 2.2.15, bạn có thể upgrade lên 2.2.15 thử xem sao nha. Nên backup dữ liệu trước khi upgrade đề phòng rủi ro không đáng có.
 

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
Có thể bản đó lỗi nên NPH đã ra mắt bản 2.2.15, bạn có thể upgrade lên 2.2.15 thử xem sao nha. Nên backup dữ liệu trước khi upgrade đề phòng rủi ro không đáng có.
Mình đã cập xenforo lên 2.2.15 nhưng lỗi vẫn không được sửa và trang liên quan admin.php đã bị lỗi kí tự ạ
 

PVS

Super Moderator
Thành viên BQT
Tham gia
28/02/2015
Bài viết
16,830
Được Like
12,705
Cấu hình server hiện tại của bạn là như thế nào nhỉ
 

thahtrung06

Moderator
Thành viên BQT
Tham gia
12/11/2019
Bài viết
1,133
Được Like
467
Mình đã cập nhật lên Xenforo 2.2.15 thì thấy vẫn bình thường. Khi cập nhật Xenforo thì sẽ không tránh khỏi 2 lỗi rất bình thường là Lỗi liên quan đến độ an toàn của tệp tin và There are templates that may be outdated. Click here to review them. Còn các lỗi khác thì phải xem xét thêm.
 

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
Mình đã cập nhật lên Xenforo 2.2.15 thì thấy vẫn bình thường. Khi cập nhật Xenforo thì sẽ không tránh khỏi 2 lỗi rất bình thường là Lỗi liên quan đến độ an toàn của tệp tin và There are templates that may be outdated. Click here to review them. Còn các lỗi khác thì phải xem xét thêm.
Trước đây mình đang cài đặt xenforo 2.2.13 nhưng bị lỗi khá nhiều và mình nhận được hỗ trợ từ Binzz và đã cung cấp cho mình file xenforo và khi cài vào không bị lỗi ạ
 

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
Cấu hình server hiện tại của bạn là như thế nào nhỉ
Mình đang dùng 123host , có ram 660.2 MB/3.13 GB ; php 8.1 ; có hỗ trợ các tính năng cần thiết cho xenforo ạ


Xenforo "
Your server meets all of XenForo requirements and you're now ready to begin installation."
 

NOKIAPRO

Moderator
Thành viên BQT
Tham gia
28/05/2016
Bài viết
269
Được Like
80
Mình đang dùng 123host , có ram 660.2 MB/3.13 GB ; php 8.1 ; có hỗ trợ các tính năng cần thiết cho xenforo ạ


Xenforo "
Your server meets all of XenForo requirements and you're now ready to begin installation."
host free bọn này hạn chế nhiều lắm, nếu dùng cpanel còn dc chứ directadmin thì cũng hên xui
 

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
host free bọn này hạn chế nhiều lắm, nếu dùng cpanel còn dc chứ directadmin thì cũng hên xui
hiện tại mình đã thử sử dụng backup về phiên bản 2.2.13 nhưng xenforo hiểu rằng là đang cập nhật lên 2.2.13 vậy có cách ngừng cập nhật không ạ
 

thahtrung06

Moderator
Thành viên BQT
Tham gia
12/11/2019
Bài viết
1,133
Được Like
467
hiện tại mình đã thử sử dụng backup về phiên bản 2.2.13 nhưng xenforo hiểu rằng là đang cập nhật lên 2.2.13 vậy có cách ngừng cập nhật không ạ
Dường như bạn chưa khắc phục được vấn đề. Các bạn lưu ý, XF 2.2.15 khuyên dùng với php 8.2 (sẽ hiển thị thông báo trong ACP: Your current version of PHP is outdated. We currently recommend PHP 8.2).

Theo thông báo từ nhà phát triển Xenforo, lúc đầu họ định phát hành phiên bản cuối cùng dành cho XF 2.2 là XF 2.2.14 như do bản này phát sinh nhiều lỗi, đến 2.2.14 Patch 2 vẫn còn lỗi và đã được khắc phục triệt để với bản XF 2.2.15 trước khi phát hành XF 2.3.​
 
Sửa lần cuối:

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
Dường như bạn chưa khắc phục được vấn đề. Các bạn lưu ý, XF 2.2.15 khuyên dùng với php 8.2 (sẽ hiển thị thông báo trong ACP: Your current version of PHP is outdated. We currently recommend PHP 8.2).

Theo thông báo từ nhà phát triển Xenforo, lúc đầu họ định phát hành phiên bản cuối cùng dành cho XF 2.2 là XF 2.2.14 như do bản này phát sinh nhiều lỗi, đến 2.2.14 Patch 2 vẫn còn lỗi và đã được khắc phục triệt để với bản XF 2.2.15 trước khi phát hành XF 2.3.​
Dạ , nhưng không biết vì sao nhưng khi mình sử dụng PHP 8.2 thì website mình gập lỗi "HTTP ERROR 500" ạ
 

thahtrung06

Moderator
Thành viên BQT
Tham gia
12/11/2019
Bài viết
1,133
Được Like
467
Dạ , nhưng không biết vì sao nhưng khi mình sử dụng PHP 8.2 thì website mình gập lỗi "HTTP ERROR 500" ạ
Mình đã cài thử trên 123host, khi sử dụng php 8.2 sẽ bị lỗi "HTTP ERROR 500". Điều này là do với php 8.2 thiếu thành phần mở rộng mysqli của php. Để khắc phục điều này, bạn cần kích hoạt thành phần mở rộng nd_mysqli thì website sẽ hoạt động bình thường ngay.

Chúc bạn thành công!​
 

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
Mình đã cài thử trên 123host, khi sử dụng php 8.2 sẽ bị lỗi "HTTP ERROR 500". Điều này là do với php 8.2 thiếu thành phần mở rộng mysqli của php. Để khắc phục điều này, bạn cần kích hoạt thành phần mở rộng nd_mysqli thì website sẽ hoạt động bình thường ngay.

Chúc bạn thành công!​
Dạ , trang website của mình đã không còn bị lỗi "HTTP ERROR 500" nữa ạ , tuy nhiên ngoài trang chủ thì tất cả tính năng trang website báo là lỗi 404 ạ ,và các lỗi cũ vẫn suất hiện ạ
 

Binvnhehe999

MasterCorporal
Tham gia
05/08/2023
Bài viết
209
Được Like
26
Mình đã cài thử trên 123host, khi sử dụng php 8.2 sẽ bị lỗi "HTTP ERROR 500". Điều này là do với php 8.2 thiếu thành phần mở rộng mysqli của php. Để khắc phục điều này, bạn cần kích hoạt thành phần mở rộng nd_mysqli thì website sẽ hoạt động bình thường ngay.

Chúc bạn thành công!​
Dạ không biết vì sao nhưng lỗi không suất hiện đối với domain mà mình thường truy cập và hoạt động bình thường (ngoại trừ url thân thiện) , nhưng nếu là thiết bị khác truy cập với cùng 1 tên miền và tài khoản thì lại lỗi như trước ạ
 
Sửa lần cuối:

YYT

Private
Tham gia
03/12/2021
Bài viết
9
Được Like
0
I'm also having a similar issue, when I update from 2.2.13 to 2.2.15, I get an error like this when accessing the admin.php and can't get into the control panel

An exception occurred: [ErrorException] [E_WARNING] Undefined array key "containerKey" in src/XF/Criteria/Page.php on line 114
 

YYT

Private
Tham gia
03/12/2021
Bài viết
9
Được Like
0
The slight difference is that my forum front-end functionality is largely unaffected, except that the admin panel is inaccessible
 

Hướng dẫn sử dụng

Dịch vụ XenForo của VNXF

Telegram: anhanhxf

Chỉ nhận web nội dung lành mạnh

Nhà Tài Trợ

Mút Xốp Không Gian
Mút Sofa Không Gian
Top Bottom